[package]
name = "nostr-rs-relayer"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
nostr-rs-types = { path = "../types" }
nostr-rs-storage-base = { path = "../storage/base" }
futures-util = "0.3.27"
parking_lot = "0.12.1"
tokio = { version = "1.26.0", features = ["sync", "macros", "rt", "time"] }
tokio-tungstenite = { version = "0.18.0", features = [
    "rustls",
    "rustls-native-certs",
    "rustls-tls-native-roots",
] }
thiserror = "1.0.39"
serde_json = "1.0.94"
rand = "0.8.5"
log = "0.4.17"

[dev-dependencies]
nostr-rs-rocksdb = { path = "../storage/rocksdb" }
